Page MenuHomePhabricator

[OPENMP]Do not use OMP_MAP_TARGET_PARAM for data movement directives.
ClosedPublic

Authored by ABataev on Nov 11 2020, 7:04 AM.

Details

Summary

OMP_MAP_TARGET_PARAM flag is used to mark the data that shoud be passed
as arguments to the target kernels, nothing else. But the compiler still
marks the data with OMP_MAP_TARGET_PARAM flags even if the data is
passed to the data movement directives, like target data, target update
etc. This flag is just ignored for this directives and the compiler does
not need to emit it.

Diff Detail

Event Timeline

ABataev created this revision.Nov 11 2020, 7:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 11 2020, 7:04 AM
ABataev requested review of this revision.Nov 11 2020, 7:04 AM
cchen added a subscriber: cchen.Dec 11 2020, 12:16 PM
cchen accepted this revision.Dec 11 2020, 12:39 PM

LGTM.

This revision is now accepted and ready to land.Dec 11 2020, 12:39 PM
This revision was landed with ongoing or failed builds.Jan 19 2021, 12:44 PM
This revision was automatically updated to reflect the committed changes.